#
# spec file for package a2ps-h (Version 20010113)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           a2ps-h
License:        GPL-2.0+
Group:          Hardware/Printing
Requires:       python
AutoReqProv:    on
Version:        20010113
Release:        683.1
Summary:        a2ps Support for Korean PostScript Filter (Python Version)
Source0:        a2ps-h.py
Source1:        a2ps-h-font.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
a2ps support for Korean PostScript filter (Python version).



Authors:
--------
    Hwang, ChiDeok <hwang@mizi.co.kr>

%prep

%build

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
mkdir -p %{buildroot}%{_prefix}/bin
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}
install -m 755 %{SOURCE0} %{buildroot}%{_prefix}/bin/a2ps-h.py
head -n 18 %{SOURCE0} > %{buildroot}%{_defaultdocdir}/%{name}/Copyright
find %{buildroot}%{_prefix}/bin -name a2ps-h.py -exec patch {} %{SOURCE1} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%dir %{_defaultdocdir}/%{name}
%{_defaultdocdir}/%{name}/Copyright
%attr(555, root, root) %{_prefix}/bin/a2ps-h.py

%changelog
* Fri May  7 2010 aj@suse.de
- Install file writable so that patch can change it.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Feb 23 2004 hmacht@suse.de
- building as non-root
* Fri Jun 13 2003 ro@suse.de
- added directory to filelist
* Fri Jan 26 2001 violiet@suse.de
- NEW a2ps-h package version to 20010113
- change hangul PostScript font.
